[package]
name = "nexrad-browser"
version = "0.1.0"
authors = ["core <core@coredoes.dev>"]
edition = "2021"
description = "A web-based browser for NEXRAD Archive II datafiles"
repository = "https://git.e3t.cc/core/rtwx"
license = "GPL-3"

[lib]
crate-type = ["cdylib", "rlib"]

[features]
default = ["console_error_panic_hook"]

[dependencies]
wasm-bindgen = "0.2.84"

# The `console_error_panic_hook` crate provides better debugging of panics by
# logging them with `console.error`. This is great for development, but requires
# all the `std::fmt` and `std::panicking` infrastructure, so isn't great for
# code size when deploying.
console_error_panic_hook = { version = "0.1.7", optional = true }
nexrad2 = { version = "0.1.0", path = "../nexrad2" }
log = "0.4"
web-sys = "0.3"
js-sys = "0.3"
wasm-logger = "0.2"

[dev-dependencies]
wasm-bindgen-test = "0.3.34"

